#
# spec file for package wide-dhcpv6
#

%global ubuntu_release 13
%global my_release 1
%global _hardened_build 1

Name:           wide-dhcpv6
BuildRequires:  bison flex
# The entire source code is BSD except the bison parser code which is GPL
License:        BSD and GPLv2+
Group:          System Environment/Daemons
Summary:        DHCP Client and Server for IPv6
Version:        20080615
Url:            https://launchpad.net/ubuntu/+source/%{name}/%{version}-%{ubuntu_release}
Release:        %{ubuntu_release}.%{my_release}%{dist}
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        CHANGELOG-LINUX
Source2:        COPYRIGHT
Source3:        dhcp6c-script
Source4:	dhcp6c.init
Source5:	dhcp6r.init
Source6:	dhcp6s.init
Source7:        RELEASENOTES
Source20:	dhcp6c.sysconfig
Source21:	dhcp6r.sysconfig
Source22:	dhcp6s.sysconfig
Patch0:         wide-dhcpv6-0000-noyywrap-option.patch
Patch1:         wide-dhcpv6-0001-Fix-manpages.patch
Patch2:         wide-dhcpv6-0002-Don-t-strip-binaries.patch
Patch3:         wide-dhcpv6-0003-Close-inherited-file-descriptors.patch
Patch4:         wide-dhcpv6-0004-GNU-libc6-fixes.patch
Patch5:         wide-dhcpv6-0005-Update-ifid-on-interface-restart.patch
Patch6:         wide-dhcpv6-0006-Add-new-feature-dhcp6c-profiles.patch
Patch7:         wide-dhcpv6-0007-Adding-ifid-option-to-the-dhcp6c.conf-prefix-interfa.patch
Patch8:         wide-dhcpv6-0008-Make-sla-len-config-optional.patch
Patch9:         wide-dhcpv6-0009-Make-sla-id-config-optional.patch
Patch10:        wide-dhcpv6-0010-move-client-script-to-after-update_ia.patch
Patch11:        wide-dhcpv6-0011-fedora20-cflag.patch
Patch12:	wide-dhcpv6-0012-Fix-renewal-of-IA-NA.patch
Patch13:	wide-dhcpv6-0013-Fix-parallel-make-race-condition.patch
Requires(preun):   chkconfig, initscripts
Requires(postun):  initscripts


%description
This is the DHCPv6 package from WIDE project. For more information visit the
project web site at http://wide-dhcpv6.sourceforge.net/

DHCPv6 allows prefix delegation and host configuration for the IPv6 network
protocol.

Multiple network interfaces are supported by this DHCPv6 package.

This package contains the server, relay and client.


%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1


%build
%configure --sysconfdir=%{_sysconfdir}/%{name} --enable-libdhcp=no
make %{?_smp_mflags}	

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man{8,5}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}%{_initrddir}
install -p -m 755 dhcp6c dhcp6s dhcp6relay dhcp6ctl %{buildroot}%{_sbindir}
install -p -m 644 dhcp6c.8 dhcp6s.8 dhcp6relay.8 dhcp6ctl.8 %{buildroot}%{_mandir}/man8
install -p -m 644 dhcp6c.conf.5 dhcp6s.conf.5 %{buildroot}%{_mandir}/man5
install -p -m 644 %{SOURCE1} %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 644 %{SOURCE2} %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 644 %{SOURCE3} %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 755 %{SOURCE4} %{buildroot}%{_initrddir}/dhcp6c
install -p -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/dhcp6r
install -p -m 755 %{SOURCE6} %{buildroot}%{_initrddir}/dhcp6s
install -p -m 644 %{SOURCE7} %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 644 %{SOURCE20} %{buildroot}%{_sysconfdir}/sysconfig/dhcp6c
install -p -m 644 %{SOURCE21} %{buildroot}%{_sysconfdir}/sysconfig/dhcp6r
install -p -m 644 %{SOURCE22} %{buildroot}%{_sysconfdir}/sysconfig/dhcp6s
install -p -m 644 README CHANGES %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 644 dhcp6c.conf.sample %{buildroot}%{_defaultdocdir}/%{name}
install -p -m 644 dhcp6s.conf.sample %{buildroot}%{_defaultdocdir}/%{name}

%preun
/sbin/service dhcp6c stop > /dev/null 2>&1
/sbin/service dhcp6r stop > /dev/null 2>&1
/sbin/service dhcp6s stop > /dev/null 2>&1

%postun
/sbin/chkconfig dhcp6c off
/sbin/chkconfig dhcp6r off
/sbin/chkconfig dhcp6s off

%files
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/sysconfig/*
%{_defaultdocdir}/%{name}/*
%{_sbindir}/*
%{_mandir}/man?/*
%{_initrddir}/*

%changelog
* Sat Feb 7 2015 dave@bevhost.com 20080615-13.1
- Added patch 12 from ubuntu version
- Added patch 13 so we can use parallel make

* Tue Jan 14 2014 dave@bevhost.com 20080615-11.1.5
- Added patch 11 provided by Scott Shambarger
- Documentation directory now has no version number

* Thu May 16 2013 dave@bevhost.com 20080615-11.1.4
- Added patches 8 and 9, which simplify configuration
- Added patch 10 which moves client script execution to after IP addr are added.
- Added RELEASENOTES

* Tue May 7 2013 dave@bevhost.com 20080615-11.1.3
- make the build specific to fedora rawhide 

* Mon May 6 2013 dave@bevhost.com 20080615-11.1.2
- use macros in spec file wherever possible
- add support for systemd

* Wed Apr 24 2013 dave@bevhost.com 20080615-11.1.1
- Move sysconfdir from /etc to /etc/wide-dhcpv6 to match man pages

* Tue Apr 02 2013 dave@bevhost.com
- converted from debian package


